{{ define "main" }}
<main>
  <article>
    <header>
      <h1>{{.Title}}</h1>
    </header>
    <!-- "{{.Content}}" pulls from the markdown content of the corresponding _index.md -->
    {{.Content}}
  </article>
  <ul>
    <!-- Ranges through content/pages/*.md -->
    {{ range .Pages }}
    <li>
      <a href="{{.Permalink}}">{{.Date.Format "2006-01-02"}} | {{.Title}}</a>
    </li>
    {{ end }}
  </ul>
</main>
{{ end }}
